Create Job

Prev Next
Post
/api/v1/Authoring/projects/{projectId}/jobs

Create a new job

Security
API Key: x-val-api-token
Header parameter namex-val-api-token

API key needed to access endpoints. Each Validatar user can manage their own set of API keys.

Path parameters
projectId
integer (int32) Required

Project that wil contain the job

Body parameters

Information about the new job

Expand All
object
name
string | null

Name of the job to be created

description
string | null

Description of the job

jobSteps
Array of object (Configuration.Api.Models.v1.JobStep) | null

List of steps for the job to execute

object
sequence
integer (int32)

The step sequence

stepType
string
Valid values[ "Test", "Job", "DataProfileSet", "Folder" ]
objectId
integer (int32)

The step object's ID

configurationJson
string | null

The step's configuration, written in JSON

folderId
integer (int32)

ID of Folder where job will be saved

Expand All
object
name
string | null

Name of the job to be created

description
string | null

Description of the job

jobSteps
Array of object (Configuration.Api.Models.v1.JobStep) | null

List of steps for the job to execute

object
sequence
integer (int32)

The step sequence

stepType
string
Valid values[ "Test", "Job", "DataProfileSet", "Folder" ]
objectId
integer (int32)

The step object's ID

configurationJson
string | null

The step's configuration, written in JSON

folderId
integer (int32)

ID of Folder where job will be saved

Expand All
object
name
string | null

Name of the job to be created

description
string | null

Description of the job

jobSteps
Array of object (Configuration.Api.Models.v1.JobStep) | null

List of steps for the job to execute

object
sequence
integer (int32)

The step sequence

stepType
string
Valid values[ "Test", "Job", "DataProfileSet", "Folder" ]
objectId
integer (int32)

The step object's ID

configurationJson
string | null

The step's configuration, written in JSON

folderId
integer (int32)

ID of Folder where job will be saved

Expand All
object
name
string | null

Name of the job to be created

description
string | null

Description of the job

jobSteps
Array of object (Configuration.Api.Models.v1.JobStep) | null

List of steps for the job to execute

object
sequence
integer (int32)

The step sequence

stepType
string
Valid values[ "Test", "Job", "DataProfileSet", "Folder" ]
objectId
integer (int32)

The step object's ID

configurationJson
string | null

The step's configuration, written in JSON

folderId
integer (int32)

ID of Folder where job will be saved

Responses
200

OK

object
jobId
integer (int32)

The ID of the job result

stepIds
Array of integer | null

ID list for the job result's steps

integer (int32)
403

Forbidden

404

Not Found

object
error
string | null